import { LitElement } from 'lit';
import type { Bindings } from '../../search/atomic-search-interface/interfaces';
import type { InitializableComponent } from '../../../decorators/types';
/**
 * The `atomic-tab-popover` is an internal component that provides a popover menu for tab overflow.
 * @internal
 *
 * @part popover-button - The button that triggers the popover.
 * @part value-label - The label displayed on the popover button.
 * @part arrow-icon - The arrow icon on the popover button.
 * @part backdrop - The backdrop behind the popover.
 * @part overflow-tabs - The container for overflow tab items.
 *
 * @slot default - The overflow tab items.
 */
export declare class AtomicTabPopover extends LitElement implements InitializableComponent<Bindings> {
    static styles: import("lit").CSSResult;
    bindings: Bindings;
    error: Error;
    show: boolean;
    private isOpen;
    private buttonRef;
    private popupRef;
    private popperInstance?;
    popoverId: string;
    initialize(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    toggle(): void;
    setButtonVisibility(isVisible: boolean): void;
    closePopoverOnFocusOut(event: FocusEvent): void;
    private handleKeyDown;
    private handleFocusOut;
    private getTabButtons;
    private getCurrentTabIndex;
    private navigatePopover;
    get slotElements(): HTMLCollection;
    get hasTabs(): boolean;
    private closePopover;
    private initializePopper;
    protected updated(): void;
    private renderDropdownButton;
    private renderBackdrop;
    private renderPopover;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'atomic-tab-popover': AtomicTabPopover;
    }
}
